/*
 * Class WEL_CHARACTER_FORMAT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1358 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1358 [] = {0xFF01,1551,1357,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1358 [] = {0xFF01,1357,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1358 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1358 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1358 [] = {0xFF01,1357,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1358 [] = {0xFF01,1357,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1358 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1358 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1358 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1358 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1358 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1358 [] = {0xFF01,1357,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1358 [] = {0xFF01,796,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1358 [] = {0xFF01,796,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1358 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1358 [] = {0xFF01,1300,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1358 [] = {0xFF01,814,0xFFFF};


static const struct desc_info desc_1358[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1358), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1358), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1358), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1358), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1358), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1358), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1358), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1358), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1358), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1358), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1358), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1358), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A9B /*1357*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1358), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10384, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10394, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10395, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10396, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10398, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10399, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10369, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30477, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6459, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6463, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6627, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6629, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6630, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 23216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 23217, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30350, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1358), 30351, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1358), 30352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30358, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30359, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 30362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30364, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30434, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30435, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1358), 30436, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30438, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30441, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30442, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1358), 30443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30444, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1358), 30445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30447, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30448, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30453, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30454, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30455, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30456, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30462, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30463, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30482, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30483, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30484, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30485, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30486, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30490, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30491, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30493, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30494, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30495, 0xFFFFFFFF},
};
void Init1358(void)
{
	IDSC(desc_1358, 0, 1357);
	IDSC(desc_1358 + 1, 1, 1357);
	IDSC(desc_1358 + 32, 791, 1357);
	IDSC(desc_1358 + 34, 1359, 1357);
	IDSC(desc_1358 + 44, 302, 1357);
	IDSC(desc_1358 + 76, 740, 1357);
	IDSC(desc_1358 + 93, 1308, 1357);
	IDSC(desc_1358 + 103, 1357, 1357);
	IDSC(desc_1358 + 118, 1176, 1357);
	IDSC(desc_1358 + 125, 417, 1357);
	IDSC(desc_1358 + 128, 1326, 1357);
	IDSC(desc_1358 + 145, 416, 1357);
}


#ifdef __cplusplus
}
#endif
